Subject: Re: [PATCH] test-lib: fix non-portable pattern bracket expressions

From: SZEDER Gábor <[email-masked]>
Date: Tue, 12 Feb 2019 01:30:18 +0100

On Mon, Feb 11, 2019 at 06:46:26PM -0500, Jeff King wrote:
> On Mon, Feb 11, 2019 at 08:58:03PM +0100, SZEDER Gábor wrote:
> 
> > Use a '!' character to start a non-matching pattern bracket
> > expression, as specified by POSIX in Shell Command Language section
> > 2.13.1 Patterns Matching a Single Character [1].
> 
> Just when I think I know every little gotcha in the shell,

I've already gave up on that :)

> I learn
> another one. :) Thanks for fixing this, and for digging up the POSIX
> reference.

I had to, that 16.04's dash worked, but neither dash in older LTS nor
newer upstream version did was particularly puzzling.  Turns out that
in 0.5.8-1 Ubuntu (Debian? dunno.) started to configure dash with
'--enable-fnmatch', which makes it understand '^' as well.